@echo off
@cls
rem
rem Windows NT batch script to compile a PJC
rem Compiles the PJC source into the classes directory
rem
rem sbutton 10/24/1999  created
rem drmills 04/10/2000  Now reads a file called pjc.properties to 
rem                     provide configuration information.
rem                     allowing this batch file to be generic
rem

@echo -----------------------------------------------------------------------
@echo.
@echo This batch script will compile the classes associated with this PJC and 
@echo create a new JAR file which can be deployed with Oracle Forms Server.
@echo.
@echo The class files will be compiled into the classes directory. The JAR 
@echo file will also be created and stored in the classes directory
@echo.
@echo The Javadoc documentation will be re-generated based on the source code.
@echo.
@echo ------------------------------------------------------------------------
@echo.

rem check the Environment

if "%JDK_HOME%"=="" goto usage
if "%ORACLE_HOME%"=="" goto usage

rem set the requisite variables from the pjc.properties file

for /F "eol=; tokens=1,2* delims==" %%i in (pjc.properties) do set %%i=%%j

SETLOCAL
set CLASSPATH=.;%ORACLE_HOME%\forms60\java;%CLASSPATH%

rem compile the Java source
@echo.
@echo Compiling %PJCNAME% into %CLASSDIR%
@echo.

for %%f in (%SOURCEDIR%\*.java) do "%JDK_HOME%\bin\javac" -d %CLASSDIR% %%f

rem create the JAR file
@echo.
@echo Recreating JAR file %JARFILE%
@echo.
cd ..\classes
"%JDK_HOME%\bin\jar" cvf %JARFILE% %JARROOT%\*
cd ..\src

rem create the Javadoc file
@echo.
@echo Recreating the Javadoc into %DOCDIR%
@echo.
"%JDK_HOME%\bin\javadoc" -author -version -d %DOCDIR% %PJCPACKAGE%

ENDLOCAL

@echo.
@echo Complete
@echo.

goto done

@echo on
:usage
@echo.
@echo ----------------------------------------------------------------------
@echo Following are the requirements to run this script 
@echo         set JDK_HOME to Java Development Kit Home
@echo         set ORACLE_HOME to location of the Oracle software installation
@echo -----------------------------------------------------------------------

:done
